/*-------------------------------------------------------------------------+
| Copyright 2023 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.ext.quality;

import org.fortiss.tooling.kernel.model.IProjectRootElement;

/**
 * Listener getting called when metrics update
 * 
 * @author groh
 */
public interface MetricUpdateListener {
	/**
	 * Callback for metric update. This method will get called every time the metrics are updated.
	 * 
	 * @param updatedElement
	 *            the corresponding root element which was updated
	 */
	public void metricUpdate(IProjectRootElement updatedElement);
}
