/*-------------------------------------------------------------------------+
| Copyright 2023 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.ext.quality.storage;

import static org.eclipse.core.resources.ResourcesPlugin.getWorkspace;

import java.io.File;

import org.eclipse.core.resources.IWorkspaceRoot;

/**
 * Manages the directory of the csv files.
 *
 * @author groh
 */
public class ModelQualityStorageManager {

	/** The name of the general quality plugin directory. */
	public static final String AF3_QUALITY_DIRECTORY_NAME = "AF3-Model-Quality-Directory";

	/** The current workspace root. */
	public static final IWorkspaceRoot WORKSPACE_ROOT = getWorkspace().getRoot();

	/** {@link File} representing the directory where all data is saved. */
	public static final File MODEL_QUALITY_PROJECT_DIR =
			new File(WORKSPACE_ROOT.getLocation() + File.separator + AF3_QUALITY_DIRECTORY_NAME);

	/** Name of the file in which the data is written. */
	public static final String CSV_FILE_NAME = "metric_logfile.csv";
}
