/*-------------------------------------------------------------------------+
| Copyright 2022 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.ext.quality.ui;

import static java.util.Arrays.asList;
import static java.util.Collections.emptyList;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.List;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.jface.action.IContributionItem;
import org.fortiss.tooling.ext.quality.AF3QualityActivator;
import org.fortiss.tooling.kernel.ui.extension.IContextMenuMultiSelectionContributor;
import org.fortiss.tooling.kernel.ui.extension.data.ContextMenuContextProvider;

import com.sun.javafx.iio.common.ImageDescriptor;

/**
 * Context menu entry to automatic layout {@link IHierarchicElement}-based models.
 * 
 * @author blaschke
 */
public class MetricExportMenu implements IContextMenuMultiSelectionContributor {

	/** Returns the icon that is visible in the context menu for this entry. */
	protected ImageDescriptor getActionIcon() {
		return AF3QualityUIActivator.getImageDescriptor("icons/MetricIcon.png");
	}

		/** {@inheritDoc} */
		@Override
		public void run() {
			try(PrintStream ps_final = new PrintStream("test")) {
				AF3QualityActivator extractor = new AF3QualityActivator();
				String enterpriseArchitectureFile = extractor.transformFileProjectToSysML("enterpriseArchitect");
				ps_final.println(enterpriseArchitectureFile);
			} catch(Exception ex) {
				ex.printStackTrace();
				showError("Unable to save the SysML xmi architecture file", ex.getMessage());
			}
		}
	
	/** {@inheritDoc} */
	@Override
	public String getMenuSectionID() {
		return null;
	}

	@Override
	public List<IContributionItem> getContributedItems(EObject selection, ContextMenuContextProvider contextProvider) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public List<IContributionItem> getContributedItems(List<EObject> selection,
			ContextMenuContextProvider contextProvider) {
		// TODO Auto-generated method stub
		return null;
	}
}
